> ## Documentation Index
> Fetch the complete documentation index at: https://old-docs.you.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Live News

<Note>
  **NOTE**: The You.com news API is currently available to exclusive early access partners.

  To express interest in early access, please reach out via email to [api@you.com](mailto:api@you.com).
</Note>

<Callout icon="eyes" color="#FF8000" iconType="regular">**ATTENTION**: The correct cURL code to use in your API call is in the playground. Click on **Try it** in the bar above to open the playground.</Callout>

## Description

This endpoint retrieves responses from news media websites that are relevant to the user's query.


## OpenAPI

````yaml openapi_livenews GET /livenews
openapi: 3.0.0
info:
  title: You.com News Search API
  description: Get the best search results from web and news sources
  version: 0.0.1
servers:
  - url: https://api.ydc-index.io
security:
  - ApiKeyAuth: []
paths:
  /livenews:
    get:
      summary: Returns a list of live news from query
      parameters:
        - name: q
          in: query
          required: true
          description: Search query used to retrieve relevant news from the web.
          schema:
            example: Your query about news
            type: string
            default: Your query about news
        - name: count
          in: query
          required: false
          description: Specifies the maximum number of news results to return.
          schema:
            type: integer
            minimum: 1
            maximum: 40
      responses:
        '200':
          description: A JSON object containing news results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  news:
                    type: object
                    properties:
                      query:
                        type: object
                        properties:
                          original:
                            type: string
                            description: Returns the original query submitted.
                            example: Your query about news
                          spellcheck_off:
                            type: boolean
                            default: false
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            age:
                              type: string
                              description: How long ago the news was published.
                              example: 6h
                            description:
                              type: string
                              description: The publisher's description.
                              example: Any news for you!
                            meta_url:
                              type: object
                              description: The URL's metadata.
                              properties:
                                hostname:
                                  description: The domain name of the URL.
                                  type: string
                                  example: www.wsj.com
                                netloc:
                                  type: string
                                  example: wsj.com
                                path:
                                  description: The URL's path.
                                  type: string
                                  example: >-
                                    > world >
                                    china-to-block-its-rare-earth-experts-from-spilling-their-secrets-8d69b75f
                                scheme:
                                  type: string
                                  example: https
                            page_age:
                              description: The timestamp of the publication date.
                              type: string
                              format: date-time
                              example: '2025-06-25T11:41:00'
                            source_name:
                              description: The publisher's name.
                              type: string
                              example: WSJ
                            thumbnail:
                              type: object
                              description: The image's URI.
                              properties:
                                src:
                                  type: string
                                  format: uri
                                  example: >-
                                    https://images.wsj.net/im-42431776?width=700&height=449
                            title:
                              description: The news article's title.
                              type: string
                              example: >-
                                Exclusive | China Is Tracking Down Its
                                Rare-Earth Experts—and Taking Away Passports
                            type:
                              type: string
                              example: news_result
                            url:
                              type: string
                              format: uri
                              example: >-
                                https://www.wsj.com/world/china-to-block-its-rare-earth-experts-from-spilling-their-secrets-8d69b75f?gaa_at=eafs&gaa_n=ASWzDAiVjqRNxFmx5h0MkVKtlAuVL0B8yQIDw3q7BheARNdP_8kbbzG50lB9&gaa_ts=685c3985&gaa_sig=x_9tkHwj_WnP29wU-sgBvg0clotjEVKnMak6vgU98b6mdtl5vl0Iu8k96Ep4H_YZRrt-38wFlodzzWcHrWYNWQ%3D%3D
                            metadata:
                              type: object
                            article_id:
                              type: string
                              nullable: true
                      type:
                        type: string
                        example: news
                      metadata:
                        type: object
                        properties:
                          request_uuid:
                            type: string
                            format: uuid
                            example: 942ccbdd-7705-4d9c-9d37-4ef386658e90
        '401':
          description: Unauthorized. Problems with API key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: Error detail message.
              examples:
                missingApiKey:
                  summary: Missing API key
                  value:
                    detail: API key is required
                invalidOrExpired:
                  summary: Invalid/expired API key
                  value:
                    detail: Invalid or expired API key
                otherAuthParsing:
                  summary: Other auth parsing errors
                  value:
                    detail: <error message>
        '403':
          description: Forbidden. API key lacks scope for this path.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
              examples:
                missingScopes:
                  summary: Missing required scopes
                  value:
                    detail: Missing required scopes
        '500':
          description: >-
            Internal Server Error during authentication/authorization
            middleware.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
              examples:
                authFailure:
                  summary: Authentication failure
                  value:
                    detail: Internal authentication error
                authorizationFailure:
                  summary: Authorization failure
                  value:
                    detail: Internal authorization error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        The unique API Key required to authorize API access. Learn how to get
        yours in the [“Get your API key” section of the
        documentation](/get-started/quickstart#get-your-api-key).

````